Changelog until 0.4.6

Fix-committed:  2011-12-05 09:23:38.629587+00:00
Summary:        Rename the risk deterministic event-based calculator
Url:            https://bugs.launchpad.net/openquake/+bug/897010
Reviewed-by:    al-maisan
Closed-by:      lars-butler

Fix-committed:  2011-12-02 19:13:54.422139+00:00
Summary:        Broken kvs purge tests (jenkins failure)
Url:            https://bugs.launchpad.net/openquake/+bug/899342
Reviewed-by:    trivial
Closed-by:      al-maisan

Fix-committed:  2011-12-05 09:24:42.960863+00:00
Summary:        Circular import in java.py and utils/__init__.py
Url:            https://bugs.launchpad.net/openquake/+bug/899249
Reviewed-by:    al-maisan
Closed-by:      lars-butler

Fix-committed:  2011-12-02 14:39:12.512473+00:00
Summary:        release_curve_data_from_kvs() lacks a test
Url:            https://bugs.launchpad.net/openquake/+bug/898707
Reviewed-by:    larsbutler
Closed-by:      al-maisan

Fix-committed:  2011-12-02 14:21:58.769086+00:00
Summary:        HAZARD_BLOCK_SIZE should move from config.gem to openquake.cfg
Url:            https://bugs.launchpad.net/openquake/+bug/898687
Reviewed-by:    larsbutler
Closed-by:      al-maisan

Fix-committed:  2011-12-02 13:12:55.919203+00:00
Summary:        execute() and release_curve_data_from_kvs() should not return kvs key purged in production
Url:            https://bugs.launchpad.net/openquake/+bug/898631
Reviewed-by:    larsbutler
Closed-by:      al-maisan

Fix-committed:  2011-12-02 09:54:45.397298+00:00
Summary:        Use @task(ignore_result=True) for all hazard tasks
Url:            https://bugs.launchpad.net/openquake/+bug/894398
Reviewed-by:    larsbutler
Closed-by:      al-maisan

Fix-committed:  2011-12-02 09:54:10.455876+00:00
Summary:        We need to interleave curve computation and serialization
Url:            https://bugs.launchpad.net/openquake/+bug/894433
Reviewed-by:    larsbutler
Closed-by:      al-maisan

Fix-committed:  2011-12-01 11:40:08.183167+00:00
Summary:        UHS core calculator (Java)
Url:            https://bugs.launchpad.net/openquake/+bug/888169
Reviewed-by:    al-maisan
Closed-by:      lars-butler

Fix-committed:  2011-11-24 10:33:12.727420+00:00
Summary:        Simplify clonky utils.task code
Url:            https://bugs.launchpad.net/openquake/+bug/893994
Reviewed-by:    larsbutler
Closed-by:      al-maisan

Fix-committed:  2011-11-24 10:07:14.464085+00:00
Summary:        Mean hazard curves are calculated even if COMPUTE_MEAN_HAZARD_CURVE = false
Url:            https://bugs.launchpad.net/openquake/+bug/887968
Reviewed-by:    larsbutler
Closed-by:      angri

Fix-committed:  2011-11-24 10:33:39.264050+00:00
Summary:        upgrade to kombu-1.4.3 breaks supervisor
Url:            https://bugs.launchpad.net/openquake/+bug/893600
Reviewed-by:    larsbutler
Closed-by:      al-maisan

Fix-committed:  2011-11-23 16:10:25.440737+00:00
Summary:        Error when using intensity_measure_type = RSD
Url:            https://bugs.launchpad.net/openquake/+bug/888079
Reviewed-by:    larsbutler
Closed-by:      angri

Fix-committed:  2011-11-23 13:46:44.024737+00:00
Summary:        Progress indicator counters must be reset at job start time
Url:            https://bugs.launchpad.net/openquake/+bug/893713
Reviewed-by:    larsbutler
Closed-by:      al-maisan

Fix-committed:  2011-11-21 13:26:13.957767+00:00
Summary:        Create sample UHS 'demo' files
Url:            https://bugs.launchpad.net/openquake/+bug/888177
Reviewed-by:    al-maisan
Closed-by:      lars-butler

Fix-committed:  2011-11-18 19:14:10.263406+00:00
Summary:        Our software provides no reliable indication of progress
Url:            https://bugs.launchpad.net/openquake/+bug/890703
Reviewed-by:    kpanic
Closed-by:      al-maisan

Fix-committed:  2011-11-18 19:13:48.076969+00:00
Summary:        extract_subsets() is the only task function without job_id
Url:            https://bugs.launchpad.net/openquake/+bug/891025
Reviewed-by:    kpanic
Closed-by:      al-maisan

Fix-committed:  2011-11-18 13:35:12.442109+00:00
Summary:        UHS config param validation
Url:            https://bugs.launchpad.net/openquake/+bug/888181
Reviewed-by:    angri
Closed-by:      lars-butler

Fix-committed:  2011-11-14 15:52:30.960293+00:00
Summary:        UHS additions to job & params DB tables, object models, param definitions
Url:            https://bugs.launchpad.net/openquake/+bug/888180
Reviewed-by:    angri
Closed-by:      lars-butler

Fix-committed:  2011-12-05 09:25:30.432845+00:00
Summary:        Disagg calculator is missing two site params
Url:            https://bugs.launchpad.net/openquake/+bug/887577
Reviewed-by:    angri
Closed-by:      lars-butler

Fix-committed:  2011-11-14 10:07:52.506349+00:00
Summary:        Disaggregation calculator does not sample inside of the logic tree sample loop
Url:            https://bugs.launchpad.net/openquake/+bug/888145
Reviewed-by:    angri
Closed-by:      lars-butler

Fix-committed:  2011-11-14 10:07:27.867247+00:00
Summary:        Blackbox test(s) for Disaggregation calculator
Url:            https://bugs.launchpad.net/openquake/+bug/869111
Reviewed-by:    kpanic
Closed-by:      lars-butler

Fix-committed:  2011-11-10 14:46:18.415955+00:00
Summary:        Job config param enhancements
Url:            https://bugs.launchpad.net/openquake/+bug/884285
Reviewed-by:    acerisara
Closed-by:      lars-butler

Fix-committed:  2011-11-07 16:35:31.820942+00:00
Summary:        Use one form for disaggregation result types
Url:            https://bugs.launchpad.net/openquake/+bug/886034
Reviewed-by:    angri,kpanic
Closed-by:      lars-butler

Fix-committed:  2011-11-07 09:13:41.500896+00:00
Summary:        Revisit binary disaggregation matrix result structure
Url:            https://bugs.launchpad.net/openquake/+bug/884250
Reviewed-by:    kpanic
Closed-by:      lars-butler

Fix-committed:  2011-11-04 15:12:27.047867+00:00
Summary:        Make IA and RSD valid parameters for INTENSITY_MEASURE_TYPE
Url:            https://bugs.launchpad.net/openquake/+bug/885302
Reviewed-by:    larsbutler
Closed-by:      angri

Fix-committed:  2011-11-04 11:21:59.477939+00:00
Summary:        GACK! Point isn't on grid!
Url:            https://bugs.launchpad.net/openquake/+bug/838973
Reviewed-by:    larsbutler
Closed-by:      kpanic

Fix-committed:  2011-11-03 12:10:02.605418+00:00
Summary:        Add disaggregation calculator mixin class
Url:            https://bugs.launchpad.net/openquake/+bug/860441
Reviewed-by:    angri
Closed-by:      lars-butler

Fix-committed:  2011-11-03 12:10:29.797332+00:00
Summary:        Add NFS 'base_dir' to openquake.cfg
Url:            https://bugs.launchpad.net/openquake/+bug/883186
Reviewed-by:    angri
Closed-by:      lars-butler

Fix-committed:  2011-11-03 11:57:00.086343+00:00
Summary:        Some GMPEs in OpenSHA-lite are not available from OpenQuake
Url:            https://bugs.launchpad.net/openquake/+bug/884685
Reviewed-by:    larsbutler
Closed-by:      angri

Fix-committed:  2011-11-02 15:35:17.228542+00:00
Summary:        Add celery task for disaggregation matrix computation
Url:            https://bugs.launchpad.net/openquake/+bug/860443
Reviewed-by:    angri
Closed-by:      lars-butler

Fix-committed:  2011-11-03 09:25:19.431768+00:00
Summary:        Ubuntu packages for libjhdf4-java+libjhdf5-java and h5py are conflicting and causing weird crashes
Url:            https://bugs.launchpad.net/openquake/+bug/882637
Reviewed-by:    angri
Closed-by:      lars-butler

Fix-committed:  2011-11-03 09:28:46.382735+00:00
Summary:        Write Disaggregation NRML/XML
Url:            https://bugs.launchpad.net/openquake/+bug/878045
Reviewed-by:    larsbutler
Closed-by:      andreacerisara-b

Fix-committed:  2011-10-29 07:45:49.421125+00:00
Summary:        Refine utils.tasks.distribute() so it partitions the data
Url:            https://bugs.launchpad.net/openquake/+bug/881859
Reviewed-by:    angri
Closed-by:      al-maisan

Fix-committed:  2011-10-26 16:43:32.842098+00:00
Summary:        Add celery tasks for the various disaggregation matrix subset extraction variants
Url:            https://bugs.launchpad.net/openquake/+bug/860444
Reviewed-by:    larsbutler
Closed-by:      angri

Fix-committed:  None
Summary:        HDF reader/writer (python)
Url:            https://bugs.launchpad.net/openquake/+bug/878044
Reviewed-by:    larsbutler
Closed-by:      angri

Fix-committed:  2011-10-24 15:15:35.020688+00:00
Summary:        Functions called from tasks should not make use of logic trees
Url:            https://bugs.launchpad.net/openquake/+bug/880743
Reviewed-by:    al-maisan
Closed-by:      angri

Fix-committed:  2011-10-24 05:18:56.270729+00:00
Summary:        Ignoring unknown parameter 'HAZARD_TASKS'
Url:            https://bugs.launchpad.net/openquake/+bug/879010
Reviewed-by:    angri
Closed-by:      al-maisan

Fix-committed:  2011-10-21 10:38:05.240686+00:00
Summary:        Add log statement in HazardCurveCalculator
Url:            https://bugs.launchpad.net/openquake/+bug/879317
Reviewed-by:    trivial
Closed-by:      al-maisan

Fix-committed:  2011-10-21 10:14:32.070006+00:00
Summary:        Implement python logic tree parser (in nrml format)
Url:            https://bugs.launchpad.net/openquake/+bug/857364
Reviewed-by:    al-maisan,kpanic
Closed-by:      angri

Fix-committed:  2011-10-20 19:39:58.583478+00:00
Summary:        Add logging statements to openquake.utils.tasks
Url:            https://bugs.launchpad.net/openquake/+bug/879046
Reviewed-by:    trivial
Closed-by:      al-maisan

Fix-committed:  2011-10-20 19:34:52.177374+00:00
Summary:        openquake - jvm max memory failure
Url:            https://bugs.launchpad.net/openquake/+bug/878272
Reviewed-by:    larsbutler,kpanic
Closed-by:      al-maisan

Fix-committed:  2011-10-21 11:49:00.040551+00:00
Summary:        Quality assurance tests for classical PSHA calculator
Url:            https://bugs.launchpad.net/openquake/+bug/811060
Reviewed-by:    al-maisan
Closed-by:      andreacerisara-b

Fix-committed:  2011-10-20 19:34:24.115498+00:00
Summary:        _handle_subtasks() must leave exceptions raised by the workers alone
Url:            https://bugs.launchpad.net/openquake/+bug/878736
Reviewed-by:    acerisara
Closed-by:      al-maisan

Fix-committed:  2011-10-20 08:05:28.741456+00:00
Summary:        Provide function for distance calculation (spherical)
Url:            https://bugs.launchpad.net/openquake/+bug/860476
Reviewed-by:    kpanic
Closed-by:      andreacerisara-b

Fix-committed:  2011-10-20 07:52:12.442910+00:00
Summary:        Model the NRML schema for binary disaggregation results
Url:            https://bugs.launchpad.net/openquake/+bug/868442
Reviewed-by:    kpanic
Closed-by:      andreacerisara-b

Fix-committed:  2011-10-17 19:48:32.526547+00:00
Summary:        memory leaks in celeryd worker process
Url:            https://bugs.launchpad.net/openquake/+bug/821002
Reviewed-by:    angri
Closed-by:      al-maisan

Fix-committed:  2011-10-17 19:49:05.619803+00:00
Summary:        Unneeded db users cause failures on systems with strict db permissions
Url:            https://bugs.launchpad.net/openquake/+bug/872277
Reviewed-by:    larsbutler
Closed-by:      al-maisan

Fix-committed:  2011-10-14 08:25:52.799086+00:00
Summary:        Add mag-TRT and lat-lon-TRT disaggregation result types to DB and model code
Url:            https://bugs.launchpad.net/openquake/+bug/868530
Reviewed-by:    al-maisan
Closed-by:      lars-butler

Fix-committed:  2011-10-14 08:25:28.330279+00:00
Summary:        Implement the disaggregation calculator
Url:            https://bugs.launchpad.net/openquake/+bug/860448
Reviewed-by:    al-maisan
Closed-by:      lars-butler

Fix-committed:  2011-10-12 08:35:13.098798+00:00
Summary:        Mandatory params must be added to BasePSHAMixin.parameterize_sites()
Url:            https://bugs.launchpad.net/openquake/+bug/870815
Reviewed-by:    larsbutler
Closed-by:      al-maisan

Fix-committed:  2011-10-25 08:42:12.465258+00:00
Summary:        Add a hdf5 serializer for the 5-dimensional disaggregation matrix
Url:            https://bugs.launchpad.net/openquake/+bug/860455
Reviewed-by:    angri
Closed-by:      lars-butler

Fix-committed:  2011-10-08 16:08:41.686712+00:00
Summary:        ParameterException raised when using Chiou and Youngs 2008 GMPE
Url:            https://bugs.launchpad.net/openquake/+bug/825053
Reviewed-by:    larsbutler
Closed-by:      al-maisan

Fix-committed:  2011-10-05 15:17:21.392168+00:00
Summary:        Model the NRML schema for disaggregation results
Url:            https://bugs.launchpad.net/openquake/+bug/860463
Reviewed-by:    larsbutler
Closed-by:      monelli

Fix-committed:  2011-10-06 07:26:34.951360+00:00
Summary:        Remove obsolete smoke tests
Url:            https://bugs.launchpad.net/openquake/+bug/862141
Reviewed-by:    angri
Closed-by:      al-maisan

Fix-committed:  2011-10-05 09:12:55.040223+00:00
Summary:        Anomaly in Hazard Map calculation
Url:            https://bugs.launchpad.net/openquake/+bug/862345
Reviewed-by:    beatpanic
Closed-by:      al-maisan

Fix-committed:  2011-10-03 15:11:18.929886+00:00
Summary:        Add config param validation for 'disaggregation' jobs
Url:            https://bugs.launchpad.net/openquake/+bug/855555
Reviewed-by:    kpanic
Closed-by:      lars-butler

Fix-committed:  2011-09-30 11:02:46.345503+00:00
Summary:        Classical and Event-Based smoketests are silently failing/freezing
Url:            https://bugs.launchpad.net/openquake/+bug/862538
Reviewed-by:    al-maisan
Closed-by:      lars-butler

Fix-committed:  2011-10-03 11:54:24.940733+00:00
Summary:        Create job input records when loading job from file
Url:            https://bugs.launchpad.net/openquake/+bug/837510
Reviewed-by:    al-maisan
Closed-by:      lars-butler

Fix-committed:  2011-10-03 11:50:48.313147+00:00
Summary:        Validate all job parameters
Url:            https://bugs.launchpad.net/openquake/+bug/839343
Reviewed-by:    larsbutler
Closed-by:      lars-butler

Fix-committed:  2011-09-28 16:13:01.263616+00:00
Summary:        Add new disaggregation parameters to db/obj model
Url:            https://bugs.launchpad.net/openquake/+bug/856469
Reviewed-by:    al-maisan
Closed-by:      lars-butler

Fix-committed:  2011-09-28 16:12:17.742200+00:00
Summary:        Rename POES_HAZARD_MAPS parameter to POES
Url:            https://bugs.launchpad.net/openquake/+bug/856470
Reviewed-by:    al-maisan
Closed-by:      lars-butler

Fix-committed:  2011-09-23 11:53:59.250453+00:00
Summary:        Create disaggregation smoketest/demo sample input files
Url:            https://bugs.launchpad.net/openquake/+bug/856490
Reviewed-by:    acerisara
Closed-by:      lars-butler

Fix-committed:  2011-10-03 12:23:48.459174+00:00
Summary:        Block IDs should include the job key (to enable garbage collection)
Url:            https://bugs.launchpad.net/openquake/+bug/815839
Reviewed-by:    larsbutler
Closed-by:      mattia.barbon

Fix-committed:  2011-09-22 12:14:18.977249+00:00
Summary:        No XML schema for probabilistic event-based or classical loss maps
Url:            https://bugs.launchpad.net/openquake/+bug/805434
Reviewed-by:    vsilva
Closed-by:      kpanic

Fix-committed:  2011-09-22 07:53:45.791554+00:00
Summary:        When processing HAZARD+RISK job, the user should be able to trigger the hazard computation only on the sites defined in the exposure file
Url:            https://bugs.launchpad.net/openquake/+bug/805428
Reviewed-by:    al-maisan
Closed-by:      andreacerisara-b

Fix-committed:  2011-09-21 09:01:08.161706+00:00
Summary:        Number of reported assets is not correct
Url:            https://bugs.launchpad.net/openquake/+bug/838984
Reviewed-by:    angri
Closed-by:      andreacerisara-b

Fix-committed:  2011-09-19 09:26:37.065718+00:00
Summary:        an asyncronous message coming from a process - small usability bug - 
Url:            https://bugs.launchpad.net/openquake/+bug/844572
Reviewed-by:    al-maisan,beatpanic
Closed-by:      angri

Fix-committed:  2011-09-19 09:27:26.505525+00:00
Summary:        Make logging API easy to use in java and python
Url:            https://bugs.launchpad.net/openquake/+bug/833903
Reviewed-by:    al-maisan,beatpanic
Closed-by:      angri

Fix-committed:  2011-09-19 09:28:20.770692+00:00
Summary:        Make amqp logging handler send log records data without losing information
Url:            https://bugs.launchpad.net/openquake/+bug/833874
Reviewed-by:    al-maisan,beatpanic
Closed-by:      angri

Fix-committed:  2011-09-19 09:28:40.287983+00:00
Summary:        Disable java logging to stderr, remove java logging configuration from python code
Url:            https://bugs.launchpad.net/openquake/+bug/833863
Reviewed-by:    al-maisan,beatpanic
Closed-by:      angri

Fix-committed:  2011-09-19 09:28:55.852614+00:00
Summary:        Abstract amqp away from java logging
Url:            https://bugs.launchpad.net/openquake/+bug/833858
Reviewed-by:    al-maisan,beatpanic
Closed-by:      angri

Fix-committed:  2011-09-16 09:16:30.862099+00:00
Summary:        Classical PSHA calculator does not compute loss maps
Url:            https://bugs.launchpad.net/openquake/+bug/838988
Reviewed-by:    acerisara
Closed-by:      kpanic

Fix-committed:  2011-09-16 07:50:39.174256+00:00
Summary:        We should change openquake development version to 0.4.4
Url:            https://bugs.launchpad.net/openquake/+bug/851107
Reviewed-by:    acerisara
Closed-by:      kpanic

Fix-committed:  2011-09-15 08:43:25.396317+00:00
Summary:        The serialization of the GMF needs to be optional
Url:            https://bugs.launchpad.net/openquake/+bug/838990
Reviewed-by:    acerisara
Closed-by:      kpanic

Fix-committed:  2011-11-04 11:21:59.477939+00:00
Summary:        GACK! Point isn't on grid!
Url:            https://bugs.launchpad.net/openquake/+bug/838973
Reviewed-by:    acerisara
Closed-by:      kpanic

Fix-committed:  2011-09-14 13:13:36.772400+00:00
Summary:        Move all shapes tests in the same test file
Url:            https://bugs.launchpad.net/openquake/+bug/829517
Reviewed-by:    acerisara
Closed-by:      mattia.barbon

Fix-committed:  2011-09-14 12:54:22.504757+00:00
Summary:        Combination between region and grid spacing crashes calculator
Url:            https://bugs.launchpad.net/openquake/+bug/838983
Reviewed-by:    acerisara
Closed-by:      mattia.barbon

Fix-committed:  2011-09-14 09:57:03.095607+00:00
Summary:        remove --include_defaults=True/False --noinclude_defaults option
Url:            https://bugs.launchpad.net/openquake/+bug/847756
Reviewed-by:    acerisara
Closed-by:      kpanic

Fix-committed:  2011-09-13 11:46:10.695057+00:00
Summary:        tests.job_unittest.ConfigParseTestCase fails with latest master on OSX
Url:            https://bugs.launchpad.net/openquake/+bug/848871
Reviewed-by:    beatpanic
Closed-by:      andreacerisara-b

Fix-committed:  2011-09-09 13:18:13.618634+00:00
Summary:        Descriptive error message if config.gem not found
Url:            https://bugs.launchpad.net/openquake/+bug/845493
Reviewed-by:    angri
Closed-by:      mattia.barbon

Changelog for OpenQuake 0.4.2 and 0.4.3

Fix-committed:  2011-09-02 12:55:21.348097+00:00
Summary:        Capture job completion time
Url:            https://bugs.launchpad.net/openquake/+bug/837923
Reviewed-by:    favalex
Closed-by:      lars-butler

Fix-committed:  2011-09-02 12:10:50.795695+00:00
Summary:        Capture job start time and number of sites when a job is launched
Url:            https://bugs.launchpad.net/openquake/+bug/838841
Reviewed-by:    favalex
Closed-by:      lars-butler

Fix-committed:  2011-09-01 16:00:34.122632+00:00
Summary:        Add job_stats table to db
Url:            https://bugs.launchpad.net/openquake/+bug/838017
Reviewed-by:    mbarbon
Closed-by:      lars-butler

Fix-committed:  2011-09-02 10:04:26.467079+00:00
Summary:        Out of Memory
Url:            https://bugs.launchpad.net/openquake/+bug/838042
Reviewed-by:    larsbutler
Closed-by:      al-maisan

Fix-committed:  2011-09-01 08:17:59.214472+00:00
Summary:        Risk exposure Importer from nrml to db needed
Url:            https://bugs.launchpad.net/openquake/+bug/817475
Reviewed-by:    favalex
Closed-by:      mattia.barbon

Fix-committed:  2011-09-01 07:51:38.935900+00:00
Summary:        Complete OQ log records need to be stored in central place
Url:            https://bugs.launchpad.net/openquake/+bug/809222
Reviewed-by:    mbarbon
Closed-by:      favalex

Fix-committed:  2011-08-18 13:30:36.305307+00:00
Summary:        AMQPLogSetupTestCase.test_log_configuration should *not* test ordering
Url:            https://bugs.launchpad.net/openquake/+bug/828661
Reviewed-by:    favalex
Closed-by:      al-maisan

Fix-committed:  2011-08-31 10:56:26.973039+00:00
Summary:        aggregate in probabilistic still reads from kvs
Url:            https://bugs.launchpad.net/openquake/+bug/816961
Reviewed-by:    mbarbon,angri
Closed-by:      andreacerisara-b

Fix-committed:  2011-08-31 10:56:26.973039+00:00
Summary:        aggregate in probabilistic still reads from kvs
Url:            https://bugs.launchpad.net/openquake/+bug/816961
Reviewed-by:    favalex,larsbutler
Closed-by:      andreacerisara-b

Fix-committed:  2011-08-30 10:07:26.430882+00:00
Summary:        amqp routing keys should be lowercase
Url:            https://bugs.launchpad.net/openquake/+bug/831788
Reviewed-by:    mbarbon
Closed-by:      favalex

Fix-committed:  2011-08-30 10:01:17.522357+00:00
Summary:        SQLAlchemy final cleanup
Url:            https://bugs.launchpad.net/openquake/+bug/833672
Reviewed-by:    angri
Closed-by:      mattia.barbon

Fix-committed:  2011-08-30 09:27:14.023007+00:00
Summary:        Re-write test set-up code with Django ORM
Url:            https://bugs.launchpad.net/openquake/+bug/833654
Reviewed-by:    al-maisan,favalex
Closed-by:      mattia.barbon

Fix-committed:  2011-08-30 08:21:08.943562+00:00
Summary:        Simplify model loaders
Url:            https://bugs.launchpad.net/openquake/+bug/833794
Reviewed-by:    larsbutler
Closed-by:      mattia.barbon

Fix-committed:  2011-08-29 08:42:57.770219+00:00
Summary:        Supervisors must purge the redis store after a job terminates
Url:            https://bugs.launchpad.net/openquake/+bug/810987
Reviewed-by:    angri
Closed-by:      favalex

Fix-committed:  2011-08-26 15:18:46.719036+00:00
Summary:        Fix classical PSHA smoke test 
Url:            https://bugs.launchpad.net/openquake/+bug/834612
Reviewed-by:    favalex
Closed-by:      mattia.barbon

Fix-committed:  2011-08-26 14:41:14.455236+00:00
Summary:        Fix job set-up code and helper methods to use Django ORM
Url:            https://bugs.launchpad.net/openquake/+bug/833668
Reviewed-by:    angri,mbarbon
Closed-by:      al-maisan

Fix-committed:  2011-08-29 06:24:28.061243+00:00
Summary:        Provide function to initialise RabbitMQ backend for OQ signalling
Url:            https://bugs.launchpad.net/openquake/+bug/809199
Reviewed-by:    angri
Closed-by:      favalex

Fix-committed:  2011-08-29 06:25:07.931508+00:00
Summary:        Supervisors must detect and document failed OQ jobs
Url:            https://bugs.launchpad.net/openquake/+bug/809231
Reviewed-by:    angri
Closed-by:      favalex

Fix-committed:  2011-08-29 06:25:31.367314+00:00
Summary:        Supervisors must detect and document succeeded OQ jobs
Url:            https://bugs.launchpad.net/openquake/+bug/812699
Reviewed-by:    angri
Closed-by:      favalex

Fix-committed:  2011-08-26 11:41:50.949831+00:00
Summary:        Remove SQLAlchemy writer common code
Url:            https://bugs.launchpad.net/openquake/+bug/833659
Reviewed-by:    larsbutler
Closed-by:      mattia.barbon

Fix-committed:  2011-08-25 15:43:38.875722+00:00
Summary:        Fix risk calculators to use Django ORM
Url:            https://bugs.launchpad.net/openquake/+bug/833661
Reviewed-by:    angri
Closed-by:      mattia.barbon

Fix-committed:  2011-08-25 14:18:00.234143+00:00
Summary:        Re-write LossMapDBWriter with Django ORM
Url:            https://bugs.launchpad.net/openquake/+bug/820399
Reviewed-by:    angri
Closed-by:      mattia.barbon

Fix-committed:  2011-08-25 14:37:33.846474+00:00
Summary:        Re-write GMFDBWriter with Django ORM
Url:            https://bugs.launchpad.net/openquake/+bug/832558
Reviewed-by:    al-maisan
Closed-by:      mattia.barbon

Fix-committed:  2011-08-25 14:31:44.708540+00:00
Summary:        Re-write HazardCurveDBWriter with Django ORM
Url:            https://bugs.launchpad.net/openquake/+bug/820397
Reviewed-by:    al-maisan
Closed-by:      mattia.barbon

Fix-committed:  2011-08-25 14:26:25.291869+00:00
Summary:        Re-write LossCurveDBWriter with Django ORM
Url:            https://bugs.launchpad.net/openquake/+bug/820401
Reviewed-by:    al-maisan
Closed-by:      mattia.barbon

Fix-committed:  2011-08-25 14:18:00.234143+00:00
Summary:        Re-write LossMapDBWriter with Django ORM
Url:            https://bugs.launchpad.net/openquake/+bug/820399
Reviewed-by:    al-maisan
Closed-by:      mattia.barbon

Fix-committed:  2011-08-25 14:17:21.454639+00:00
Summary:        Re-write SourceModelLoader with Django ORM
Url:            https://bugs.launchpad.net/openquake/+bug/820364
Reviewed-by:    larsbutler
Closed-by:      mattia.barbon

Fix-committed:  2011-08-25 14:17:17.218164+00:00
Summary:        Re-write CsvModelLoader with Django ORM
Url:            https://bugs.launchpad.net/openquake/+bug/820405
Reviewed-by:    larsbutler
Closed-by:      mattia.barbon

Fix-committed:  2011-08-25 14:16:31.378180+00:00
Summary:        Re-write GMFDBReader with Django ORM
Url:            https://bugs.launchpad.net/openquake/+bug/832557
Reviewed-by:    larsbutler
Closed-by:      mattia.barbon

Fix-committed:  2011-08-25 14:15:52.985235+00:00
Summary:        Re-write LossCurveDBReader with Django ORM
Url:            https://bugs.launchpad.net/openquake/+bug/820400
Reviewed-by:    larsbutler
Closed-by:      mattia.barbon

Fix-committed:  2011-08-25 14:12:41.329928+00:00
Summary:        Re-write LossMapDBReader with Django ORM
Url:            https://bugs.launchpad.net/openquake/+bug/820398
Reviewed-by:    larsbutler
Closed-by:      mattia.barbon

Fix-committed:  2011-08-25 12:24:35.910301+00:00
Summary:        Crashed supervisors must be respawned
Url:            https://bugs.launchpad.net/openquake/+bug/813910
Reviewed-by:    al-maisan
Closed-by:      angri

Fix-committed:  2011-08-25 10:21:41.619539+00:00
Summary:        Re-write HazardCurveDBReader with Django ORM
Url:            https://bugs.launchpad.net/openquake/+bug/820396
Reviewed-by:    larsbutler
Closed-by:      mattia.barbon

Fix-committed:  2011-08-24 18:18:28.460983+00:00
Summary:        Revise db users and django/ORM router logic
Url:            https://bugs.launchpad.net/openquake/+bug/832711
Reviewed-by:    mbarbon
Closed-by:      al-maisan

Fix-committed:  2011-08-24 12:39:39.372374+00:00
Summary:        Each OQ job must start its supervisor process
Url:            https://bugs.launchpad.net/openquake/+bug/810980
Reviewed-by:    angri
Closed-by:      favalex

Fix-committed:  2011-08-24 10:34:39.986498+00:00
Summary:        Re-write HazardMapDBReader with Django ORM
Url:            https://bugs.launchpad.net/openquake/+bug/820393
Reviewed-by:    larsbutler
Closed-by:      mattia.barbon

Fix-committed:  2011-08-24 09:26:18.872746+00:00
Summary:        Make the engine capable to collect the correct sites to compute
Url:            https://bugs.launchpad.net/openquake/+bug/805425
Reviewed-by:    beatpanic,mbarbon,larsbutler
Closed-by:      andreacerisara-b

Fix-committed:  2011-08-24 08:52:48.428138+00:00
Summary:        Implement bulk insert using Django
Url:            https://bugs.launchpad.net/openquake/+bug/829211
Reviewed-by:    larsbutler
Closed-by:      mattia.barbon

Fix-committed:  2011-08-24 08:50:39.715708+00:00
Summary:        Add Django model class for collapse maps
Url:            https://bugs.launchpad.net/openquake/+bug/831036
Reviewed-by:    al-maisan,larsbutler
Closed-by:      mattia.barbon

Fix-committed:  2011-08-24 05:00:20.641236+00:00
Summary:        Model the BCR distribution db fragment
Url:            https://bugs.launchpad.net/openquake/+bug/812300
Reviewed-by:    larsbutler
Closed-by:      mattia.barbon

Fix-committed:  2011-08-23 15:52:08.253565+00:00
Summary:        Implement job supervisor
Url:            https://bugs.launchpad.net/openquake/+bug/825325
Reviewed-by:    angri
Closed-by:      favalex

Fix-committed:  2011-08-22 16:58:22.960326+00:00
Summary:        Convert existing SQLAlchemy models to Django models
Url:            https://bugs.launchpad.net/openquake/+bug/820346
Reviewed-by:    mbarbon
Closed-by:      lars-butler

Fix-committed:  2011-08-22 16:58:33.015189+00:00
Summary:        Complete the model code representation of the OQ database
Url:            https://bugs.launchpad.net/openquake/+bug/820351
Reviewed-by:    mbarbon
Closed-by:      lars-butler

Fix-committed:  2011-08-23 08:55:15.515328+00:00
Summary:        Model the collapse map db fragment
Url:            https://bugs.launchpad.net/openquake/+bug/812306
Reviewed-by:    larsbutler
Closed-by:      mattia.barbon

Fix-committed:  2011-08-23 06:55:16.291188+00:00
Summary:        A message consumer process code template is needed
Url:            https://bugs.launchpad.net/openquake/+bug/809203
Reviewed-by:    angri,larsbutler
Closed-by:      favalex

Fix-committed:  2011-08-22 16:58:22.960326+00:00
Summary:        Convert existing SQLAlchemy models to Django models
Url:            https://bugs.launchpad.net/openquake/+bug/820346
Reviewed-by:    angri,mbarbon
Closed-by:      lars-butler

Fix-committed:  2011-08-22 16:58:33.015189+00:00
Summary:        Complete the model code representation of the OQ database
Url:            https://bugs.launchpad.net/openquake/+bug/820351
Reviewed-by:    angri,mbarbon
Closed-by:      lars-butler

Fix-committed:  2011-08-22 10:06:12.164346+00:00
Summary:        Provide a celery task init() function
Url:            https://bugs.launchpad.net/openquake/+bug/827349
Reviewed-by:    favalex
Closed-by:      angri

Fix-committed:  2011-08-18 14:40:42.397219+00:00
Summary:        Make celeryconfig.py read from settings.cfg
Url:            https://bugs.launchpad.net/openquake/+bug/828738
Reviewed-by:    angri
Closed-by:      al-maisan

Fix-committed:  2011-08-18 14:39:06.846133+00:00
Summary:        Add a 'supervisor_pid' to the 'oq_job' table
Url:            https://bugs.launchpad.net/openquake/+bug/828616
Reviewed-by:    angri
Closed-by:      favalex

Fix-committed:  2011-08-18 13:58:44.749512+00:00
Summary:        black box test failure in master
Url:            https://bugs.launchpad.net/openquake/+bug/828722
Reviewed-by:    trivial
Closed-by:      al-maisan

Fix-committed:  2011-08-18 13:30:43.691406+00:00
Summary:        OpenQuake credentials management
Url:            https://bugs.launchpad.net/openquake/+bug/827366
Reviewed-by:    mbarbon
Closed-by:      al-maisan

Fix-committed:  2011-08-18 13:30:36.305307+00:00
Summary:        AMQPLogSetupTestCase.test_log_configuration should *not* test ordering
Url:            https://bugs.launchpad.net/openquake/+bug/828661
Reviewed-by:    mbarbon
Closed-by:      al-maisan

Fix-committed:  2011-08-18 08:05:54.560092+00:00
Summary:        Un-skip test_compute_risk_in_the_classical_psha_mixin
Url:            https://bugs.launchpad.net/openquake/+bug/827908
Reviewed-by:    favalex
Closed-by:      mattia.barbon

Fix-committed:  2011-08-17 12:26:04.704501+00:00
Summary:        Merge 'tests' and 'db_tests'
Url:            https://bugs.launchpad.net/openquake/+bug/819689
Reviewed-by:    favalex
Closed-by:      mattia.barbon

Fix-committed:  2011-08-17 11:42:09.153919+00:00
Summary:        Fix the KVS keys to use again the job_id marker
Url:            https://bugs.launchpad.net/openquake/+bug/827256
Reviewed-by:    mbarbon
Closed-by:      favalex

Fix-committed:  2011-08-18 08:32:38.849458+00:00
Summary:        Tests using python-mock are brittle
Url:            https://bugs.launchpad.net/openquake/+bug/807360
Reviewed-by:    larsbutler
Closed-by:      angri

Fix-committed:  2011-08-17 10:13:20.609022+00:00
Summary:        Add an 'error_msg' table to the schema
Url:            https://bugs.launchpad.net/openquake/+bug/812698
Reviewed-by:    al-maisan
Closed-by:      lars-butler

Fix-committed:  2011-08-17 10:23:39.492839+00:00
Summary:        Remove stdout log capture
Url:            https://bugs.launchpad.net/openquake/+bug/802396
Reviewed-by:    al-maisan
Closed-by:      mattia.barbon

Fix-committed:  2011-08-17 07:49:10.112233+00:00
Summary:        Engine shouldn't print output file names which don't exist
Url:            https://bugs.launchpad.net/openquake/+bug/817081
Reviewed-by:    favalex
Closed-by:      mattia.barbon

Fix-committed:  2011-08-16 10:08:29.986128+00:00
Summary:        All OQ log records must be linked to job in question
Url:            https://bugs.launchpad.net/openquake/+bug/809217
Reviewed-by:    larsbutler
Closed-by:      mattia.barbon

Fix-committed:  2011-08-12 16:38:20.640986+00:00
Summary:        Make db revision step numbers global
Url:            https://bugs.launchpad.net/openquake/+bug/822654
Reviewed-by:    angri
Closed-by:      mattia.barbon

Fix-committed:  2011-08-11 16:47:59.311094+00:00
Summary:        Discrepancy in the number of tests runs
Url:            https://bugs.launchpad.net/openquake/+bug/824388
Reviewed-by:    angri,favalex
Closed-by:      lars-butler

Fix-committed:  2011-08-11 16:48:06.969592+00:00
Summary:        tests/tools_dbmaint_unittest.py test problems
Url:            https://bugs.launchpad.net/openquake/+bug/824392
Reviewed-by:    angri,favalex
Closed-by:      lars-butler

Fix-committed:  2011-08-11 16:48:12.134061+00:00
Summary:        Bitrot in test suite
Url:            https://bugs.launchpad.net/openquake/+bug/824419
Reviewed-by:    angri,favalex
Closed-by:      lars-butler

Fix-committed:  2011-08-12 16:39:18.471299+00:00
Summary:        A RabbitMQ backend implementation for python logging is needed
Url:            https://bugs.launchpad.net/openquake/+bug/809201
Reviewed-by:    favalex
Closed-by:      mattia.barbon

Fix-committed:  2011-08-12 16:39:18.471299+00:00
Summary:        A RabbitMQ backend implementation for python logging is needed
Url:            https://bugs.launchpad.net/openquake/+bug/809201
Reviewed-by:    favalex
Closed-by:      mattia.barbon

Fix-committed:  2011-08-12 15:39:01.042817+00:00
Summary:        openquake --version info should use UTC time
Url:            https://bugs.launchpad.net/openquake/+bug/825120
Reviewed-by:    angri,favalex
Closed-by:      lars-butler

Fix-committed:  2011-08-11 16:47:59.311094+00:00
Summary:        Discrepancy in the number of tests runs
Url:            https://bugs.launchpad.net/openquake/+bug/824388
Reviewed-by:    mbarbon
Closed-by:      lars-butler

Fix-committed:  2011-08-11 16:48:06.969592+00:00
Summary:        tests/tools_dbmaint_unittest.py test problems
Url:            https://bugs.launchpad.net/openquake/+bug/824392
Reviewed-by:    mbarbon
Closed-by:      lars-butler

Fix-committed:  2011-08-11 16:48:12.134061+00:00
Summary:        Bitrot in test suite
Url:            https://bugs.launchpad.net/openquake/+bug/824419
Reviewed-by:    mbarbon
Closed-by:      lars-butler

Fix-committed:  2011-08-11 14:00:49.677866+00:00
Summary:        junit test org.gem.log.AMQPAppenderTest fails
Url:            https://bugs.launchpad.net/openquake/+bug/824360
Reviewed-by:    favalex
Closed-by:      mattia.barbon

Fix-committed:  2011-08-11 13:00:47.417188+00:00
Summary:        Don't store the site in the hazard curves serialized in the KVS
Url:            https://bugs.launchpad.net/openquake/+bug/820943
Reviewed-by:    mbarbon
Closed-by:      favalex

Fix-committed:  2011-08-11 10:46:53.906661+00:00
Summary:        hzrdr.hazard_curve_data should really be called hzrdr.hazard_curve
Url:            https://bugs.launchpad.net/openquake/+bug/820869
Reviewed-by:    favalex
Closed-by:      mattia.barbon

Fix-committed:  2011-08-11 07:47:56.005160+00:00
Summary:        A RabbitMQ backend implementation for java logging is needed
Url:            https://bugs.launchpad.net/openquake/+bug/814051
Reviewed-by:    larsbutler
Closed-by:      mattia.barbon

Fix-committed:  2011-08-11 07:47:49.772504+00:00
Summary:        How do we test the Java RabbitMQ logging backend?
Url:            https://bugs.launchpad.net/openquake/+bug/814081
Reviewed-by:    larsbutler
Closed-by:      mattia.barbon

Fix-committed:  2011-08-10 09:53:01.835064+00:00
Summary:        Model the aggregate loss curves db fragment
Url:            https://bugs.launchpad.net/openquake/+bug/813471
Reviewed-by:    larsbutler
Closed-by:      favalex

Fix-committed:  2011-08-10 16:23:03.397159+00:00
Summary:        Make the job id available in the java code base
Url:            https://bugs.launchpad.net/openquake/+bug/814048
Reviewed-by:    mbarbon
Closed-by:      lars-butler
